package org.arefgard.container.flow.service;

import java.util.List;

public class Decision extends Sequence {

	private List<Navigation> navigaions = new java.util.ArrayList<Navigation>();
	
	public Decision(String name) {
		setName(name);
	}
	
	public void addNavigation(Navigation navi) {
		this.navigaions.add(navi);
	}
	
	public Navigation getNavigation(int index) {
		return this.navigaions.get(index);
	}
	
	public Navigation[] getAllNavigations() {
		return this.navigaions.toArray(new Navigation[] {});
	}
	
}
